# Uses of Enum Class
io.papermc.paper.event.server.ServerResourcesReloadedEvent.Cause

Packages that use ServerResourcesReloadedEvent.Cause
Package
Description
io.papermc.paper.event.server

## Uses of ServerResourcesReloadedEvent.Cause in io.papermc.paper.event.server

Methods in io.papermc.paper.event.server that return ServerResourcesReloadedEvent.Cause
Modifier and Type
Method
Description
`@NotNull ServerResourcesReloadedEvent.Cause`
ServerResourcesReloadedEvent.`getCause()`
Gets the cause of the resource reload.
`static ServerResourcesReloadedEvent.Cause`
ServerResourcesReloadedEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ServerResourcesReloadedEvent.Cause[]`
ServerResourcesReloadedEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in io.papermc.paper.event.server with parameters of type ServerResourcesReloadedEvent.Cause
Modifier
Constructor
Description
``
`ServerResourcesReloadedEvent(@NotNull ServerResourcesReloadedEvent.Cause cause)`